Bug 1698452 - Can't install gofed on F30
Summary: Can't install gofed on F30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gofed
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI F30FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-04-10 11:59 UTC by Xavier Bachelot
Modified: 2019-05-02 10:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-02 10:04:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Xavier Bachelot 2019-04-10 11:59:13 UTC
Description of problem:
gofed can't be installed on Fedora 30 because of missing python2 dependencies.

Version-Release number of selected component (if applicable):
gofed-1.0.0-0.22.rc1.fc30.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf install gofed
2.
3.

Actual results:
Error: 
 Problem: package gofed-1.0.0-0.22.rc1.fc30.x86_64 requires gofed-infra = 1.0.0-0.22.rc1.fc30, but none of the providers can be installed
  - conflicting requests
  - nothing provides python2.7dist(git) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch
  - nothing provides python2.7dist(hglib) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch
  - nothing provides python2.7dist(koji) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch
  - nothing provides python2.7dist(python-gitdb) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch
  - nothing provides python2.7dist(tarfile) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch
  - nothing provides python2.7dist(urllib2) needed by gofed-infra-1.0.0-0.22.rc1.fc30.noarch


Expected results:
gofed is installing properly.

Additional info:

Comment 1 Miro Hrončok 2019-04-22 12:49:19 UTC
Please fix this or retire the package.


See also this port to python 3 PR: https://src.fedoraproject.org/rpms/gofed/pull-request/3

Comment 2 Miro Hrončok 2019-04-29 20:06:26 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 3 Jan Chaloupka 2019-05-02 10:03:02 UTC
I am sorry, I don't have resource to backport gofed to python3. There is more to be done than just that. I will retire the package until this issue can be properly addressed.

Comment 4 Jan Chaloupka 2019-05-02 10:05:30 UTC
https://src.fedoraproject.org/rpms/gofed/c/a60603dfa0ad64fcd9b1019f1391c11e82a97cba?branch=master

Retired for both master and f30.

Comment 5 Miro Hrončok 2019-05-02 10:06:47 UTC
You cannot retire on F30, the package is already in the Fedora repos.



https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life#Procedure


Note You need to log in before you can comment on or make changes to this bug.